import mods.buildcraft.CombustionEngine;

val gun_ammo = <cgm:basic_ammo>;
val tf2_ammo = <rafradek_tf2_weapons:ammo_box>;
val big_p = <animania:raw_prime_pork>;
val big_b = <animania:raw_prime_beef>;
val big_c = <animania:raw_prime_chicken>;
val small_p = <minecraft:porkchop>;
val small_c = <minecraft:chicken>;
val small_b = <minecraft:beef>;
val salt = <ore:itemSalt>;
val charc = <minecraft:coal:1>;
val gunp = <minecraft:gunpowder>;

recipes.addShapeless("pork",small_p*2,[big_p]);
recipes.addShapeless("beef",small_b*2,[big_b]);
recipes.addShapeless("chick",small_c*2,[big_c]);
recipes.addShapeless("gp",gunp,[salt,charc]);
recipes.addShaped("ammo", tf2_ammo,
[[gun_ammo,gun_ammo,gun_ammo],
[gun_ammo,gun_ammo,gun_ammo],
[gun_ammo,gun_ammo,gun_ammo]]);

mods.recipestages.Recipes.setRecipeStageByMod("build_stage1", "buildcraftcore");
mods.recipestages.Recipes.setRecipeStageByMod("build_stage1", "buildcraftsilicon");
mods.recipestages.Recipes.setRecipeStageByMod("build_stage1", "buildcrafttransport");
mods.recipestages.Recipes.setRecipeStageByMod("car_stage", "car");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:turret");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:blank_turret_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:hopping_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:ammo_optimization_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:barrel_spin_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:range_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:blank_turret_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:redstone_control_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:australium_turret_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:rifling_turret_upgrade");
mods.recipestages.Recipes.setRecipeStage("turret_stage", "ldoh:predictive_turret_upgrade");
mods.recipestages.Recipes.setRecipeStageByMod("server_stage", "refinedstorage");

CombustionEngine.addCleanFuel(<liquid:bio_diesel>, 5.0, 10000);
CombustionEngine.addCleanFuel(<liquid:canola_oil>, 0.5, 26000);

recipes.remove(<energyconverters:energy_bridge>);
recipes.addShaped("energy_bridge", <energyconverters:energy_bridge>,
 [[<ore:ingotIron>,<minecraft:iron_bars>,<ore:ingotIron>],
  [<minecraft:iron_bars>,<ore:blockDiamond>,<minecraft:iron_bars>],
  [<ore:ingotIron>,<minecraft:iron_bars>,<ore:ingotIron>]]);
  
recipes.remove(<backpacked:backpack>);
furnace.remove(<rafradek_tf2_weapons:itemtf2>, <rafradek_tf2_weapons:ammo_smg> * 3);
furnace.remove(<rafradek_tf2_weapons:itemtf2>, <rafradek_tf2_weapons:ammo_pistol> * 4);
furnace.remove(<rafradek_tf2_weapons:itemtf2:1> * 2, <rafradek_tf2_weapons:ammo_minigun>);
furnace.remove(<rafradek_tf2_weapons:itemtf2>, <rafradek_tf2_weapons:ammo:6> * 5);
furnace.remove(<minecraft:iron_ingot> * 2, <rafradek_tf2_weapons:ammo_fire>);
furnace.remove(<minecraft:iron_ingot>, <rafradek_tf2_weapons:ammo:13> * 10);
furnace.remove(<rafradek_tf2_weapons:itemtf2:1>, <rafradek_tf2_weapons:ammo:4> * 16);
furnace.remove(<rafradek_tf2_weapons:itemtf2:1>, <rafradek_tf2_weapons:ammo:1> * 13);
furnace.remove(<minecraft:iron_ingot>, <rafradek_tf2_weapons:ammo:7> * 10);
furnace.remove(<minecraft:iron_ingot>, <rafradek_tf2_weapons:ammo:11> * 8);

