import loottweaker.LootTweaker;
import loottweaker.vanilla.loot.LootTable;
import loottweaker.vanilla.loot.LootPool;
import loottweaker.vanilla.loot.Functions;

val desert_pyramid = LootTweaker.getTable("minecraft:chests/desert_pyramid");
val ammo = desert_pyramid.addPool("ammo", 1, 12, 0, 0);
val abandoned_mineshaft = LootTweaker.getTable("minecraft:chests/abandoned_mineshaft");
val x_ammo = desert_pyramid.addPool("x_ammo", 1, 12, 0, 0);
val jungle_temple = LootTweaker.getTable("minecraft:chests/jungle_temple");
val a_ammo = jungle_temple.addPool("a_ammo", 1, 12, 0, 0);
val a_main = jungle_temple.getPool("main");
val village_blacksmith = LootTweaker.getTable("minecraft:chests/village_blacksmith");
val b_ammo = village_blacksmith.addPool("b_ammo", 1, 12, 0, 0);
val b_main = village_blacksmith.getPool("main");
val simple_dungeon = LootTweaker.getTable("minecraft:chests/simple_dungeon");
val c_ammo = simple_dungeon.addPool("c_ammo", 1, 12, 0, 0);
val c_main = simple_dungeon.getPool("main");
val c_pooll = simple_dungeon.getPool("pool2");

b_ammo.addItemEntryJson(<xlfoodmod:speedy_energy_drink>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:healthy_energy_drink>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:corn_bread>, 3, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:rice_bread>, 3, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:baguette>, 3, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:potato_bread>, 5, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<xlfoodmod:cheese>, 5, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:potato>, 5, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:iron_ingot>, 1, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:gold_ingot>, 3, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<biomesoplenty:black_dye>, 3, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:wheat_seeds>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:melon_seeds>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:pumpkin_seeds>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<spartanweaponry:staff_iron>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<firstaid:bandage>, 5, 1, [{"count": {"min": 1.0, "max": 2.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<firstaid:plaster>, 3, 1, [{"count": {"min": 1.0, "max": 2.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<minecraft:gunpowder>, 3, 1, [{"count": {"min": 1.0, "max": 7.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<cgm:scope>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_ammo.addItemEntryJson(<cgm:scope:1>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
b_main.clearEntries();
c_main.clearEntries();
a_main.clearEntries();
c_pooll.clearEntries();
c_ammo.addItemEntryJson(<minecraft:diamond>, 1, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<minecraft:iron_ingot>, 5, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<minecraft:gold_ingot>, 5, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<minecraft:bone>, 7, 1, [{"count": {"min": 2.0, "max": 8.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:basic_ammo>, 7, 1, [{"count": {"min": 2.0, "max": 15.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:advanced_ammo>, 5, 1, [{"count": {"min": 2.0, "max": 15.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:grenade>, 3, 1, [{"count": {"min": 1.0, "max": 3.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:stun_grenade>, 3, 1, [{"count": {"min": 1.0, "max": 3.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<spartanweaponry:greatsword_diamond>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<rafradek_tf2_weapons:building_box:21>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<rafradek_tf2_weapons:building_box:20>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:missile>, 3, 1, [{"count": {"min": 1.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<firstaid:morphine>, 5, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<minecraft:golden_apple>, 3, 1, [{"count": {"min": 1.0, "max": 3.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:shell>, 3, 1, [{"count": {"min": 1.0, "max": 4.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<minecraft:gunpowder>, 7, 1, [{"count": {"min": 1.0, "max": 7.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntryJson(<cgm:scope:2>, 5, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
a_ammo.addItemEntryJson(<rafradek_tf2_weapons:itemtf2:9>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
a_ammo.addItemEntryJson(<rafradek_tf2_weapons:ammo_box:0>, 4, 1, [{"count": {"min": 4.0, "max": 21.0}, "function": "minecraft:set_count"}], []);
a_ammo.addItemEntryJson(<firstaid:morphine>, 4, 1, [{"count": {"min": 1.0, "max": 3.0}, "function": "minecraft:set_count"}], []);
a_ammo.addItemEntryJson(<spartanweaponry:arrow_explosive>, 5, 1, [{"count": {"min": 4.0, "max": 32.0}, "function": "minecraft:set_count"}], []);
a_ammo.addItemEntryJson(<minecraft:gunpowder>, 3, 1, [{"count": {"min": 4.0, "max": 32.0}, "function": "minecraft:set_count"}], []);
c_ammo.addItemEntry(<backpacked:backpack>, 1);
c_ammo.addItemEntryJson(<rafradek_tf2_weapons:itemtf2:9>, 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);

val mineshaft = LootTweaker.getTable("minecraft:chests/abandoned_mineshaft");
mineshaft.clear();
val pool = mineshaft.addPool("loot", 8, 12, 0, 6);
pool.addItemEntryJson(<minecraft:iron_ingot>, 10, 1, [{"count": {"min": 1, "max": 5}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<minecraft:gold_ingot>, 5, 1, [{"count": {"min": 1, "max": 3}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<minecraft:diamond>, 3, 1, [{"count": {"min": 1, "max": 2}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<minecraft:redstone>, 5, 1, [{"count": {"min": 4, "max": 9}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<minecraft:dye>, 5, 1, [{"function": "set_data", "data": { "min": 0, "max": 4}}, {"count": {"min": 4, "max": 9}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<minecraft:gunpowder>, 10, 1, [{"count": {"min": 3, "max": 8}, "function": "minecraft:set_count"}], []);
pool.addItemEntryJson(<xlfoodmod:baguette>, 1, 1, [{"count": {"min": 1, "max": 64}, "function": "minecraft:set_count"}], []);

val vet = LootTweaker.newTable("ldoh:chests/vet");
val vp = vet.addPool("med_supplies", 5, 8, 0, 2);
vp.addItemEntryJson(<firstaid:plaster>, 5, 1, [{"count": {"min": 3.0, "max": 5.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<firstaid:bandage>, 5, 1, [{"count": {"min": 1.0, "max": 3.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<ldoh:syringe:3>, 3, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<rafradek_tf2_weapons:ammo_medigun>, 3, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<firstaid:morphine>, 3, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<minecraft:splash_potion>.withTag({Potion: "minecraft:healing"}), 3, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<exoticbirds:phoenix_dust>, 1, 1, [{"count": {"min": 1.0, "max": 7.0}, "function": "minecraft:set_count"}], []);
vp.addItemEntryJson(<rafradek_tf2_weapons:itemtf2:9>.withTag({Token: 6 as byte}), 1, 1, [{"count": {"min": 1.0, "max": 1.0}, "function": "minecraft:set_count"}], []);